Subject: [PATCH v2 1/4] mfd: max77686: Don't suggest in binding to use a deprecated property

From: [email-masked] (Javier Martinez Canillas)
Date: Mon, 27 Jul 2015 12:40:56 +0200

Hello Mark,

On 07/27/2015 12:33 PM, Mark Brown wrote:
> On Mon, Jul 27, 2015 at 12:28:07PM +0200, Javier Martinez Canillas wrote:
>> On 07/20/2015 12:12 PM, Javier Martinez Canillas wrote:
> 
>>> This PMIC uses a single I2C address for all the regulators and these are
>>> controlled by writing to different I2C register addresses. So the regulator
>>> nodes don't have a reg property in this case.
> 
>>> By looking at other regulators bindings, besides the generic regulator.txt
>>> and fixed-regulator.txt DT bindings, there are only 5 (out of 40) that use
>>> the node-name at unit-address convention mentioned in the ePAPR document.
> 
>>> AFAICT all these are for regulators that are actually in different addresses
>>> but I could be wrong so let's see what Mark says.
> 
>> Any opinions on this?
> 
> I just don't care, this is just syntactic noise which has no practical
> meaning as far as I can tell.
>

thanks, I'll then leave the regulator's node name as is in the patch
since that is consistent with the rest of the regulator DT bindings.

Best regards,
-- 
Javier Martinez Canillas
Open Source Group
Samsung Research America